# Uses of Class
jam.framework.AbstractFrame

Packages that use AbstractFrame
Package
Description
jam.console
jam.demo
jam.demo.menus
jam.framework
jam.mac

## Uses of AbstractFrame in jam.console

Subclasses of AbstractFrame in jam.console
Modifier and Type
Class
Description
`class`
`ConsoleFrame`

## Uses of AbstractFrame in jam.demo

Subclasses of AbstractFrame in jam.demo
Modifier and Type
Class
Description
`class`
`DemoFrame`

## Uses of AbstractFrame in jam.demo.menus

Methods in jam.demo.menus with parameters of type AbstractFrame
Modifier and Type
Method
Description
`void`
DemoMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`

## Uses of AbstractFrame in jam.framework

Subclasses of AbstractFrame in jam.framework
Modifier and Type
Class
Description
`class`
`AboutBox`
`class`
`AuxilaryFrame`
`class`
`DocumentFrame`
Methods in jam.framework with parameters of type AbstractFrame
Modifier and Type
Method
Description
`void`
DefaultEditMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
DefaultFileMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
DefaultHelpMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
MenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
This method should populate the menu with menu items.
`final void`
DefaultMenuBarFactory.`populateMenuBar(JMenuBar menuBar, AbstractFrame frame)`
`void`
MenuBarFactory.`populateMenuBar(JMenuBar menuBar, AbstractFrame frame)`

## Uses of AbstractFrame in jam.mac

Methods in jam.mac with parameters of type AbstractFrame
Modifier and Type
Method
Description
`void`
MacEditMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
MacFileMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
MacHelpMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`
`void`
MacWindowMenuFactory.`populateMenu(JMenu menu, AbstractFrame frame)`